Bug 1577087 - HP-LaserJet-Professional-P-1102w does not work
Summary: HP-LaserJet-Professional-P-1102w does not work
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 29
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 07:53 UTC by Tomáš Hozza
Modified: 2019-11-27 19:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:24:36 UTC
Type: Bug


Attachments (Terms of Use)
output of s-c-p troubleshoot tool (45.40 KB, text/plain)
2018-05-11 07:53 UTC, Tomáš Hozza
no flags Details
hp-doctor output. (10.26 KB, text/plain)
2018-08-11 18:28 UTC, Erik P. Olsen
no flags Details
output from hp-setup. (2.80 KB, text/plain)
2018-08-13 15:51 UTC, Erik P. Olsen
no flags Details
Output from hp-setup -g -i (7.98 KB, text/plain)
2018-08-20 15:10 UTC, Erik P. Olsen
no flags Details

Description Tomáš Hozza 2018-05-11 07:53:51 UTC
Created attachment 1434803 [details]
output of s-c-p troubleshoot tool

Description of problem:
I'm not able to get HP-LaserJet-Professional-P-1102w working on Fedora. s-c-p troubleshooting didn't help much.

Version-Release number of selected component (if applicable):
system-config-printer-1.5.9-4.fc26.x86_64
hplip-3.18.4-1.fc26.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Zdenek Dohnal 2018-05-11 08:23:36 UTC
Hi Tom,

thank you for reporting this issue! Would you mind trying https://fedoraproject.org/wiki/How_to_debug_printing_problems#HP_printer_isn.27t_discovered.2C_doesn.27t_print_or_doesn.27t_print_well ?
If that doesn't help, would you mind following https://fedoraproject.org/wiki/How_to_debug_printing_problems#Filing_a_bug_report and attaching relevant files?

Comment 2 Tomáš Hozza 2018-05-14 12:28:26 UTC
(In reply to Zdenek Dohnal from comment #1)
> Hi Tom,
> 
> thank you for reporting this issue! Would you mind trying
> https://fedoraproject.org/wiki/How_to_debug_printing_problems#HP_printer_isn.
> 27t_discovered.2C_doesn.27t_print_or_doesn.27t_print_well ?
> If that doesn't help, would you mind following
> https://fedoraproject.org/wiki/
> How_to_debug_printing_problems#Filing_a_bug_report and attaching relevant
> files?

I'll do it some other time (probably in couple of months) when I'll have the printer available again. I'll keep NEEDINFO on myself till then.

Comment 3 Erik P. Olsen 2018-08-11 18:28:47 UTC
Created attachment 1475237 [details]
hp-doctor output.

Comment 4 Erik P. Olsen 2018-08-11 18:38:27 UTC
(In reply to Erik P. Olsen from comment #3)
> Created attachment 1475237 [details]
> hp-doctor output.

I don't know what happened to my comment re this bug report. Only the attached file went through.

Let me repeat 
: I have the same problem with the same printer, Fwedora 28 and hplip.3.18.7. Previously I had hplip-3.16.3 installed without any problem. The history with hplkip-3.18.7 is an errorless installation, no error messages that is. When printing a test page the system messages indicated no problem, however no print was found at the printer. It seems to be connected because the bkue indicator light is steady blue.

Comment 5 Zdenek Dohnal 2018-08-13 07:02:59 UTC
Hi Erik,

would you mind following https://fedoraproject.org/wiki/How_to_debug_printing_problems and attaching requested archive? Thank you!

Comment 6 Zdenek Dohnal 2018-08-13 14:55:43 UTC
Seems like driver for the printer is in foo2xqx package. There were some changes in that package, maybe it caused this issue.

Comment 7 Erik P. Olsen 2018-08-13 15:51:46 UTC
Created attachment 1475610 [details]
output from hp-setup.

Comment 8 Erik P. Olsen 2018-08-13 15:56:34 UTC
(In reply to Zdenek Dohnal from comment #5)
> Hi Erik,
> 
> would you mind following
> https://fedoraproject.org/wiki/How_to_debug_printing_problems and attaching
> requested archive? Thank you!

Can't get the requested info because I can no longer add the printer. Apparently it connects but does not get an IP address so it cannot be set up. See the attached output fro hp-setup (actually via hp-toolbox).

I can add the printer as a usb printer but it does not produce any print.

Comment 9 Zdenek Dohnal 2018-08-14 09:34:25 UTC
(In reply to Erik P. Olsen from comment #7)
> Created attachment 1475610 [details]
> output from hp-setup.

hp-toolbox isn't hp-setup - please try 'hp-setup -g -i <your_printer_ip>' (if you have network printer - if you have usb printer, 'hp-setup -g -i' suffices). and attach file with output here.

(In reply to Zdenek Dohnal from comment #6)
> Seems like driver for the printer is in foo2xqx package. There were some
> changes in that package, maybe it caused this issue.

Do you have foo2xqx installed?

(In reply to Erik P. Olsen from comment #8)
> (In reply to Zdenek Dohnal from comment #5)
> > Hi Erik,
> > 
> > would you mind following
> > https://fedoraproject.org/wiki/How_to_debug_printing_problems and attaching
> > requested archive? Thank you!
> 
> Can't get the requested info because I can no longer add the printer.

You still can attach journal cups logs, your configs and output during hp-setup. See the link I provided above.

> Apparently it connects but does not get an IP address so it cannot be set
> up.

Can you ping the printer? If you cannot, the printer can print out its current settings and check it - then you can access the printer on IP it currently has and set the settings like you want.
 
> See the attached output fro hp-setup (actually via hp-toolbox).
> 
> I can add the printer as a usb printer but it does not produce any print.

Comment 10 Jan Kurik 2018-08-14 10:03:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 11 Erik P. Olsen 2018-08-20 15:10:53 UTC
Created attachment 1477283 [details]
Output from hp-setup -g -i

Comment 12 Erik P. Olsen 2018-08-20 15:20:55 UTC
It has happened again. I've made a reply to comment 9, went then to create the attachment as requested and went back to submit the reply - but now the reply was gone. Apparently, I am not good at handling bugzilla. 

So bear with me and please read the attached output from hp-setup -g -i.

I do not have foo2xqx installed and from the printer self test I read:
Not Connected and IP address 0.0.0.0.

Comment 13 Ben Cotton 2019-10-31 20:43:43 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-11-27 19:24:36 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.